From 4ddfe292de53baa7319b7d445623669c5b253a9e Mon Sep 17 00:00:00 2001
From: Matt Coleman <matt@datto.com>
Date: Thu, 13 Aug 2020 15:48:16 -0400
Subject: [PATCH] Increase HIVEX_MAX_VALUES

Due to unintended interaction between Windows and VMWare's snapshot
functionality, HKLM\SYSTEM\MountedDevices can end up with more than
55,000 values.
---
 lib/hivex-internal.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/hivex-internal.h b/lib/hivex-internal.h
index a22e732..6912809 100644
--- a/lib/hivex-internal.h
+++ b/lib/hivex-internal.h
@@ -339,7 +339,7 @@ extern int _hivex_get_values (hive_h *h, hive_node_h node, hive_value_h **values
 
 /* These limits are in place to stop really stupid stuff and/or exploits. */
 #define HIVEX_MAX_SUBKEYS       70000
-#define HIVEX_MAX_VALUES        55000
+#define HIVEX_MAX_VALUES       110000
 #define HIVEX_MAX_VALUE_LEN   8000000
 #define HIVEX_MAX_ALLOCATION  1000000
 
-- 
2.27.0

